Subject: bug#56492: 29.0.50; dired not updating, ! acts weird during long Emacs session

From: Jean Louis <[email-masked]>
Date: Thu, 14 Jul 2022 04:07:49 +0300

* Lars Ingebrigtsen <[email-masked]> [2022-07-11 12:55]:
> Jean Louis <[email-masked]> writes:
> 
> > - I am using deleting by moving to trash, and sometimes I use d to
> >   delete file, then I see Trashing, but dired bufffer remains same
> >   without being reverted, I remain with file in the list marked with
> >   red or with D, and I can repeat action of deletion even if file does
> >   not exist. Maybe deletion function should verify if file exists?
> 
> Do you have a recipe to reproduce the issue?

It works well in beginning. I do not change my packages. Then after
some time it starts behaving that way.

It is difficult to say what is causing it as it is happening in longer
running Emacs session.

-- 
Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/